<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="manageSUTsForm" class="form-horizontal">
        <div class="row ">
            <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3 gzl-registration-sut-header">
                <h2>#{messages['net.ihe.gazelle.tm.ParticipatingSystemsUnderTests']}</h2>
                <h:commandButton id="addNewSUT" styleClass="gzl-btn gzl-btn-green"
                                 value="#{messages['gazelle.common.menu.MenuRegisterANewSystem']}"
                                 action="#{registrationBeanGui.addNewSystemActionButton()}"
                                 rendered="#{registrationBeanGui.showAddImportOrNewSUTButton()}"/>
                <h:commandButton id="copySystemCommandButton" styleClass="gzl-btn-green"
                                 value="#{messages['gazelle.systems.system.button.copy.Title']}"
                                 action="#{registrationBeanGui.copySystemActionButton()}"
                                 rendered="#{registrationBeanGui.showAddImportOrNewSUTButton()}"/>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-8 col-sm-offset-2 col-md-8 col-md-offset-2 gzl-registration-sut-message">
                <s:div rendered="#{registrationBeanGui.isThereSystemsWithMissingDependency() == true}"
                       styleClass="gzl-alert gzl-alert-orange">
                    <span>
                        <i class="glyphicon glyphicon-warning-sign"/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.tm.OneOrMoreSystemsUnderTestRequireYourAttentionMak']}"/>
                    </span>
                </s:div>
            </div>
        </div>


        <s:div rendered="#{registrationBeanGui.getSystemsUnderTest().size()>0}">
            <div class="gzl-registration-sut-table">
                <rich:dataTable id="SUTsTableId" value="#{registrationBeanGui.getSystemsUnderTest()}"
                                var="systemSummary"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                styleClass="table table-responsive">
                    <g:column sortBy="#{'id'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.tm.SUTKeyword']}</ui:define>
                        <h:outputText value="#{systemSummary.SUTKeyword}"/>
                    </g:column>
                    <g:column sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.tm.SUTNametype']}</ui:define>
                        <h:outputText value="#{systemSummary.SUTName} (#{systemSummary.SUTType})"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.systems.system.SystemVersion']}</ui:define>
                        <h:outputText value="#{systemSummary.version}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.systems.system.OwnerUser']}</ui:define>
                        <a href="mailto:#{systemSummary.ownerMail}">#{systemSummary.owner}</a>
                        <h:outputText value=""/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.tm.RegistrationStatus_2']}</ui:define>
                        <h:panelGroup
                                styleClass="#{registrationBeanGui.getSUTStatusLabel(systemSummary)} gzl-sut-status-label">
                            #{systemSummary.registrationStatus.friendlyName}
                        </h:panelGroup>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.tm.AllDependenciesMet']}</ui:define>
                        <h:panelGroup rendered="#{systemSummary.hasMissingDependencies() != true}">
                            <span class="gzl-sut-met-dependencies">
                                <i class="glyphicon glyphicon-ok"/>
                                <h:outputText value="#{messages['gazelle.common.Yes']}"/>
                            </span>
                        </h:panelGroup>
                        <h:panelGroup rendered="#{systemSummary.hasMissingDependencies() == true}">
                            <span class="gzl-sut-missing-dependencies">
                                <i class="glyphicon glyphicon-remove"/>
                                <h:outputText value="#{messages['gazelle.common.No']}"/>
                            </span>
                        </h:panelGroup>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.tm.Accepted']}</ui:define>
                        <h:panelGroup rendered="#{systemSummary.accepted == true}">
                            <span class="gzl-sut-accepted">
                                <i class="glyphicon glyphicon-ok"/>
                                <h:outputText value="#{messages['gazelle.tm.Accepted']}"/>
                            </span>
                        </h:panelGroup>
                        <h:panelGroup rendered="#{systemSummary.accepted == false}">
                            <span class="gzl-sut-pending">
                                <i class="glyphicon glyphicon glyphicon-time"/>
                                <h:outputText value="#{messages['net.ihe.gazelle.tm.AcceptancePending']}"/>
                            </span>
                        </h:panelGroup>
                    </g:column>
                    <g:column width="100px">
                        <ui:define name="header">#{messages['gazelle.common.Action']}</ui:define>
                        <div class="gzl-never-wrap">
                            <h:panelGroup rendered="#{applicationManager.isTestManagement()}">
                                <a4j:commandLink id="currentSystemSummary_ViewSupport" immediate="true"
                                                 action="#{registrationBeanGui.viewSystemInSession(systemSummary.getSystemInSession())}"
                                                 title="#{messages['gazelle.common.button.View']}">
                                    <span class="gzl-icon-search"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                            <h:panelGroup rendered="#{systemInSessionEditor.isAllowedToEdit(systemSummary) and registrationBeanGui.isTestingSessionOpened()}">
                                <a4j:commandLink id="currentSystemSummary_EditSupport"
                                                 action="#{registrationBeanGui.editSystemInSessionSummaryActionRedirect(systemSummary.getSystemInSession())}"
                                                 immediate="true"
                                                 title="#{messages['gazelle.common.button.Edit']}">
                                    <span class="gzl-icon-pencil"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                            <h:panelGroup rendered="#{registrationBeanGui.canDeleteSUT(systemSummary)}">
                                <a4j:commandLink id="currentSystemSummary_DeleteSupport"
                                                 actionListener="#{registrationBeanGui.setSelectedSystemInSession(systemSummary.getSystemInSession())}"
                                                 immediate="true"
                                                 title="#{messages['gazelle.common.button.Delete']}"
                                                 oncomplete="jq162('#DeleteConfirmationModalPanel').modal('show');"
                                                 render="deleteSystemInSessionForm">
                                    <span class="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                        </div>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="SUTsTableId"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
                <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
                <!-- Delete system confirmation Modal Panel								-->
                <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
                <h:form id="deleteSystemInSessionForm">
                    <s:token allowMultiplePosts="true"/>
                    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                        <ui:param name="popup_id" value="DeleteConfirmationModalPanel"/>
                        <ui:define name="popup_title">#{messages['gazelle.systems.system.confirmation.delete.header']}
                        </ui:define>
                        <p>
                            <h:outputText id="currentSystemSummary_DeleteLabelOutputText"
                                          value="#{messages['gazelle.systems.system.confirmation.delete.label']} #{getSelectedSystemInSession.system.name} ?"/>
                        </p>
                        <ui:define name="popup_footer">
                            <button type="button" class="gzl-btn" data-dismiss="modal">
                                #{messages['gazelle.tm.Cancel']}
                            </button>
                            <a4j:commandButton id="deleteButtonConfirm"
                                               value="#{messages['gazelle.common.button.Delete']}"
                                               ignoreDupResponses="true" styleClass="gzl-btn-red"
                                               actionListener="#{registrationBeanGui.deleteSystemInSession()}"
                                               onclick="jq162('#DeleteConfirmationModalPanel').modal('hide');"
                                               render="SUTsTableId"/>
                        </ui:define>
                    </ui:decorate>
                </h:form>
                <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
                <!-- END : Delete system confirmation Modal Panel						-->
                <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
            </div>
        </s:div>

        <s:div rendered="#{registrationBeanGui.getSystemsUnderTest().size() == 0}">
            <div class="col-sm-offset-1 col-sm-10">
                <h3>#{messages['gazelle.users.connectaton.participants.NoSystemUnderTestHasBeenRegisteredYet']}</h3>
            </div>
        </s:div>


    </h:form>


</ui:composition>

